GET /v1/footprint/bars
#GET /v1/footprint/barsgetFootprintBars
Footprint bars: volume at price, buy and sell
| Scope | market:read |
|---|---|
| Lowest tier | sandbox |
| Weight (units) | 10 up to 120 bars, 20 above (up to 240) |
| History each tier may read | Sandbox: 7 days; Starter: 30 days; Elite (included): 30 days; Developer: 90 days; Business: all recorded |
| SDK | Python client.footprint.bars ยท JavaScript cd.footprint.bars |
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
venue required | query | string | Venue id (see /v1/venues), lower case. |
symbol required | query | string | The venue's symbol (BTCUSDT; see /v1/markets). |
res required | query | string | Resolution: minutes (1 ... 720), 1D, 1W, 1M; seconds (1S ... 45S) and ticks (10T ...) from Developer. |
from | query | string | Start, inclusive: unix seconds or RFC 3339. |
to | query | string | End, exclusive: unix seconds or RFC 3339. Default now. |
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/footprint/bars?venue=binance&symbol=BTCUSDT&res=60" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.footprint.bars(venue="binance", symbol="BTCUSDT", res="60")
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.footprint.bars({ venue: "binance", symbol: "BTCUSDT", res: "60" });
console.log(r.data, r.meta.attribution);